qpid::types Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
qpid::types Namespace Reference

## Classes
class | Exception
class | Uuid
struct | InvalidConversion
| Thrown when an illegal conversion of a variant is attempted. More...
class | Variant
| Represents a value of variable type. More...
## Enumerations
enum | VariantType { VAR_VOID = 0, VAR_BOOL, VAR_UINT8, VAR_UINT16, VAR_UINT32, VAR_UINT64, VAR_INT8, VAR_INT16, VAR_INT32, VAR_INT64, VAR_FLOAT, VAR_DOUBLE, VAR_STRING, VAR_MAP, VAR_LIST, VAR_UUID }
## Functions
QPID_TYPES_EXTERN bool | operator== (const Uuid &, const Uuid &)
| Returns true if the uuids are equal, false otherwise.
QPID_TYPES_EXTERN bool | operator!= (const Uuid &, const Uuid &)
| Returns true if the uuids are NOT equal, false if they are.
QPID_TYPES_EXTERN bool | operator< (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator> (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator<= (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator>= (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN std::ostream & | operator<< (std::ostream &, Uuid)
| Print in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.
QPID_TYPES_EXTERN std::istream & | operator>> (std::istream &, Uuid &)
| Read from format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.
QPID_TYPES_EXTERN std::string | getTypeName (VariantType type)
QPID_TYPES_EXTERN bool | isIntegerType (VariantType type)
QPID_TYPES_EXTERN std::ostream & | operator<< (std::ostream &out, const Variant &value)
QPID_TYPES_EXTERN std::ostream & | operator<< (std::ostream &out, const Variant::Map &map)
QPID_TYPES_EXTERN std::ostream & | operator<< (std::ostream &out, const Variant::List &list)
QPID_TYPES_EXTERN bool | operator== (const Variant &a, const Variant &b)

## Enumeration Type Documentation

enum qpid::types::VariantType

Enumerator:

  VAR_VOID |
  VAR_BOOL |
  VAR_UINT8 |
  VAR_UINT16 |
  VAR_UINT32 |
  VAR_UINT64 |
  VAR_INT8 |
  VAR_INT16 |
  VAR_INT32 |
  VAR_INT64 |
  VAR_FLOAT |
  VAR_DOUBLE |
  VAR_STRING |
  VAR_MAP |
  VAR_LIST |
  VAR_UUID |

Definition at line 44 of file Variant.h.

## Function Documentation

QPID_TYPES_EXTERN std::string qpid::types::getTypeName | ( | VariantType | type | ) |

QPID_TYPES_EXTERN bool qpid::types::isIntegerType | ( | VariantType | type | ) |

QPID_TYPES_EXTERN bool qpid::types::operator!= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

Returns true if the uuids are NOT equal, false if they are.

QPID_TYPES_EXTERN bool qpid::types::operator< | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

QPID_TYPES_EXTERN std::ostream& qpid::types::operator<< | ( | std::ostream & | ,
|  | Uuid |
| ) |  |

Print in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

QPID_TYPES_EXTERN std::ostream& qpid::types::operator<< | ( | std::ostream & | out,
|  | const Variant & | value
| ) |  |

QPID_TYPES_EXTERN std::ostream& qpid::types::operator<< | ( | std::ostream & | out,
|  | const Variant::Map & | map
| ) |  |

QPID_TYPES_EXTERN std::ostream& qpid::types::operator<< | ( | std::ostream & | out,
|  | const Variant::List & | list
| ) |  |

QPID_TYPES_EXTERN bool qpid::types::operator<= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

QPID_TYPES_EXTERN bool qpid::types::operator== | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

Returns true if the uuids are equal, false otherwise.

QPID_TYPES_EXTERN bool qpid::types::operator== | ( | const Variant & | a,
|  | const Variant & | b
| ) |  |

QPID_TYPES_EXTERN bool qpid::types::operator> | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

QPID_TYPES_EXTERN bool qpid::types::operator>= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  |

QPID_TYPES_EXTERN std::istream& qpid::types::operator>> | ( | std::istream & | ,
|  | Uuid & |
| ) |  |

Read from format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.